textures/Runix/light_round-64-a
{
	qer_editorimage textures/Runix/light_round-64-a.tga
	surfaceparm nomarks
	surfaceparm nodlight
	surfaceparm nonsolid
	q3map_surfacelight 3000
	q3map_lightimage textures/Runix/color.tga

	{
		map textures/Runix/light_round-64-a.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
	{
		map textures/Runix/light_round-64-a-shine.tga
		rgbGen wave noise 0.5 0.1 0.5 0.8
		blendfunc GL_ONE GL_ONE
	}
}

textures/Runix/light_elipse-64-a
{
	qer_editorimage textures/Runix/light_elipse-64-a.tga
	surfaceparm nomarks
	surfaceparm nodlight
	surfaceparm nonsolid
	q3map_surfacelight 4000
	q3map_lightimage textures/Runix/color2.tga

	{
		map textures/Runix/light_elipse-64-a.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
	{
		map textures/Runix/light_elipse-64-a-shine.tga
		rgbGen wave noise 0.5 0.1 0.5 0.8
		blendfunc GL_ONE GL_ONE
	}
}


textures/Runix/signs_round-64-a
{
	qer_editorimage textures/Runix/signs_round-64-a.tga
	surfaceparm nodlight
	surfaceparm nonsolid
	nopicmip

	{
		map textures/Runix/signs_round-64-a.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/Runix/concrete-jumppad-round
{
    qer_editorimage textures/Runix/concrete-jumppad-round.tga

    {
        map textures/Runix/concrete-jumppad-round.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/Runix/jumppad-blend.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave noise 0.5 0.025 0.5 10
        depthWrite
    } 
}


textures/Runix/signs_square-128-a
{   
	surfaceparm nodlight
	surfaceparm nonsolid
	nopicmip
 
        {
                map textures/Runix/envmap.tga       
                tcGen environment
                rgbGen identity
	}   
        {
		map textures/Runix/signs_square-128-a.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}


textures/Runix/wood-01
{
	surfaceparm woodsteps
	qer_editorimage textures/Runix/wood-01.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/Runix/wood-01.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/Runix/teleporter
{
    qer_editorimage textures/Runix/teleporter.tga

    {
        map textures/Runix/teleporter.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/Runix/teleporter-blend.tga
        blendFunc GL_ONE GL_ONE
	rgbGen wave noise 0.6 0.10 0.5 10

    }  
}

textures/Runix/qwater
{
	qer_editorImage textures/Runix/qwater.jpg
	qer_trans .5
	q3map_globalTexture
     q3map_surfacelight 25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5	
	{ 
		map textures/Runix/qwater.jpg
		blendFunc GL_DST_COLOR GL_ONE
		rgbGen identity
		tcMod scale .5 .5
		tcMod scroll .025 .01
	}
	{ 
		map textures/Runix/qwater.jpg
		blendFunc GL_DST_COLOR GL_ONE
		tcMod scale -.5 -.5
		tcMod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/Runix/fog
{
	qer_editorimage textures/sfx/fog_grey1.tga
	fogparms ( 0.42 0.43 0.42 ) 6500
	surfaceparm fog
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
}

textures/Runix/decal_runix
{
   qer_editorimage textures/Runix/decal_runix.tga
   surfaceparm nonsolid
   surfaceparm nomarks
   surfaceparm trans
   surfaceparm nolightmap
   polygonoffset
   nopicmip
   {
      map textures/Runix/decal_runix.tga
      blendfunc blend
   }
}







